const Models = require('./../apiv2/models/common');

module.exports.errHandler = (res, err) => {
    res.json({
        success: false,
        msg: err.message,
        data: err
    });
}

module.exports.getModel = (term) => {
    const Model = Models.filter(o => o.TableName.toLowerCase() == term);
    return Model[0];
}
