

const config = require('../config/database');
const mongoose = require('mongoose');

const college_passoutSchema = mongoose.Schema({
    collage_passout_id:{
        type: String,
        default: ''
    },
    collage_passout_name:{
        type: String,
        default: ''
    },
    collage_passout_is_deleted:{
        type: String,
        default: ''
    },
    collage_passout_added_by:{
        type: String,
        default: ''
    },
    collage_passout_order:{
        type: String,
        default: ''
    },
    collage_passout_status:{
        type: String,
        default: ''
    },
    collage_passout_created_on:{
        type: Date,
        default: Date.now()
    },
    collage_passout_updated_on:{
        type: Date,
    },
    lastChanges:{
        type: JSON,
        default: {}
    }

},{collection:'sbw_college_passout'});

const college_passout = (module.exports = mongoose.model('sbw_college_passout',college_passoutSchema));

// Create and update
module.exports.addCollege_passout = (newCollege_passout, callback)=>{
    newCollege_passout.save(callback);

};

// get college_passout 
module.exports.getCollege_passout = ( id, callback)=>{
    college_passout.findById(id, callback);
};


// get all college passout
module.exports.getAllCollege_passout =(callback)=>{
    college_passout.find(callback);
};

//delete college_passout
module.exports.deleteCollege_passout = (id, callback)=>{
    college_passout.findByIdAndDelete(id, callback);
};
