const mongoose = require('mongoose');
// const bcrypt = require('bcryptjs');
const config = require('../config/database');

// News Schema
const CounterSchema = mongoose.Schema({
    _id: {
        type: String
    },
    sequence_value: {
        type: Number
    },
    created_at: {
        type: Date,
        default: Date.now()
    },
    updated_at: {
        type: Date
    }

});

const Counter = module.exports = mongoose.model('Counter1', CounterSchema);

module.exports.getNextSequenceValue = function(sequenceName, callback) {
    
    Counter.findOneAndUpdate({ _id: sequenceName }, {
            $inc: {
                sequence_value: 1
            }
        }, { new: true },
        (err, data) => {
            if (err) {
                callback(err, data);
            } else {
                if(data) {
                    callback(err, data);
                } else {
                    const firstCounter = new Counter({
                        _id: sequenceName,
                        sequence_value: 3001
                    });
                    firstCounter.save(callback);
                }
            }
        }
    );
}