const config = require('../config/database');
const mongoose = require('mongoose');

const promotionalPageSchema = mongoose.Schema({
    type:{
        type: String,
        
    },
    page_title:{
        type: String,
        
    },
    name:{
        type: String,
        
    },
    small_desc:{
        type: String,
       
    },
    large_desc:{
        type: String,
        
    },
    image_main:{
        type: String,
        
    },
    background_image: {
        type: String,
        
    },
    image: {
        type: String,
        
    }

},{collection:'sbw_promotionalPages'});

const promoPage = (module.exports = mongoose.model('sbw_promotionalPages',promotionalPageSchema));

// Create and update
module.exports.addPromoPage = (newPromo, callback)=>{
    newPromo.save(callback);

};

// get  
module.exports.getPromoPage = ( id, callback)=>{
    promoPage.findById(id, callback);
};
//citywise
module.exports.getCityPrompPages =(callback)=>{
    promoPage.find({"type": "City"},callback);
}
//communitywise
module.exports.getCommunityPrompPages =(callback)=>{
    promoPage.find({"type": "Community"},callback);
}


// get all 
module.exports.getAllPromo =(callback)=>{
    promoPage.find(callback);
};


//delete city
module.exports.deletePromo = (id, callback)=>{
    promoPage.findByIdAndDelete(id, callback);
};

