const express = require("express");
const router = express.Router();
const countryController = require("./../controllers/countryController");

router.post("/create", countryController.add);
router.get("/get", countryController.get);
router.get("/getAll", countryController.getAll);
router.put("/update", countryController.update);
router.delete("/delete", countryController.delete);

module.exports = router;

