const express = require('express');
const router = express.Router();
const memberController = require('./../controllers/new_memberController');


// router.post('/transferMember',memberController.addNewMember);
router.get('/getByMemberId/:id',memberController.getMemberByMemberId);
router.post('/getFilteredMembers/:page/:sort', memberController.getFilteredMembers);
router.get('/transferNewestMember', memberController.addNewestMember);
router.get('/getLessPlanMemberIds',memberController.getLessPlanMemberIdsFunc);
router.get('/getNewMembers/:page/:sort',memberController.getAllMembers);
router.get('/search/:page/:keyword',memberController.searchNewMember);
router.get('/getLessPlanMembers', memberController.getLessPlanMembers);
router.get('/getMember/:_id',memberController.getMemberByMemberId);
router.get('/getAllMembers/:page/:sort',memberController.getAllMembers);
router.put('/updateMember',memberController.updateMember);
router.put('/updatePlan',memberController.updateMemberPlan);
router.delete('/deleteMember/:_id', memberController.deleteMember);
router.post('/generatePassword',memberController.generatePass);


module.exports= router;
