const express = require("express");
const router = express.Router();
const otpController = require("./../controllers/otpController");

router.post("/sendOtp", otpController.sendOtp);
router.get("/get", otpController.get);
router.get("/getAll", otpController.getAll);
router.post("/verifyOtp", otpController.verifyOtp);
router.put("/update", otpController.update);
router.delete("/delete/:_id", otpController.delete);
router.delete("/deleteExpired", otpController.deleteExpiredOtps);

module.exports = router;

