const express = require("express");
const router = express.Router();
const planController = require("./../controllers/subscription-planController");

router.post("/create", planController.add);
router.post("/get", planController.get);
router.get("/getPlansByEvent/:id", planController.getPlansByEvent);
router.get("/getAll", planController.getAll);
router.put("/update", planController.update);
router.delete("/delete/:_id", planController.delete);

module.exports = router;

