const config = require('../config/database');
const mongoose = require('mongoose');

const AdSchema = mongoose.Schema({
    title: {
        type: String
    },

    description: {
        type: String
    },
    image: {
        type: String
    },
    size: {
        type: String
    },
    providedBy: {
        type: String
    },

}, { collection: 'ss_ads' });

const Ad = (module.exports = mongoose.model('ss_ads', AdSchema));

// Create and update
module.exports.addAd = (newAd, callback) => {
    newAd.save(callback);

};

// get  
module.exports.getAd = (id, callback) => {
    Ad.findById(id, callback);
};


// get all 
module.exports.getAllAds = (callback) => {
    Ad.find(callback);
};


//delete 
module.exports.deleteAd = (id, callback) => {
    Ad.findByIdAndDelete(id, callback);
};
