const config = require('../config/database');
const mongoose = require('mongoose');

const mediaSchema = mongoose.Schema({
    media_id:{
        type: String,
        
    },
    media_image:{
        type: String,
        
    },
    media_type:{
        type: String,
        
    },
    media_is_deleted:{
        type: String,
        
    },
    media_order:{
        type: String,
        
    },
    media_added_by:{
        type: String,
        
    },
    media_created_on: {
        type: String,
        default: Date.now()
    },
    media_status: {
        type: String,
        
    }

},{collection:'sbw_media'});

const media = (module.exports = mongoose.model('sbw_media',mediaSchema));

// Create and update
module.exports.addMedia= (newMedia, callback)=>{
    newMedia.save(callback);

};

// get city 
module.exports.getMedia = ( id, callback)=>{
    media.findById(id, callback);
};


// get all 
module.exports.getAllMedia =(callback)=>{
    media.find(callback);
};


//delete 
module.exports.deleteMedia = (id, callback)=>{
    media.findByIdAndDelete(id, callback);
};


