const mongoose = require("mongoose");
const config = require("./../config/database");

const memberSchema = mongoose.Schema(
 {
  member_id:{
    type: String
  },
  member_citydummy:{
    type: String
  },
  member_occupationdummy:{
    type: String
  },
  member_lead_id:{
    type: String
  },
  member_profile_created_for:{
    type: String
  },
  member_first_name:{
    type: String
  },
  member_middle_name:{
    type: String
  },
  member_last_name:{
    type: String
  },
  member_name:{
    type: String
  },
  member_is_updated:{
    type: String
  },
  member_slug:{
    type: String
  },
  member_mobile:{
    type: String
  },
  member_email:{
    type: String
  },
  member_religion_name:{
    type: String
  },
  member_caste_name:{
    type: String
  },
  member_sub_caste_name:{
    type: String
  },
  member_gender:{
    type: String
  },
  member_dob:{
    type: String
  },
  member_weight:{
    type: String
  },
  member_height:{
    type: String
  },
  member_complextion:{
    type: String
  },
  member_meritial_status:{
    type: String
  },
  member_children_status:{
    type: String
  },
  member_total_children:{
    type: String
  },
  member_age_eldest_children:{
    type: String
  },
  member_eating_habits:{
    type: String
  },
  member_drinking_habits:{
    type: String
  },
  member_smoking_habits:{
    type: String
  },
  member_hobby:{
    type: String
  },
  member_body_type:{
    type: String
  },
  member_special_case:{
    type: String
  },
  member_special_case_details:{
    type: String
  },
  member_residencial_status:{
    type: String
  },
  member_mother_tongue:{
    type: String
  },
  member_own_house_status:{
    type: String
  },
  member_annual_income:{
    type: String
  },
  member_education_details:{
    type: String
  },
  member_collage_passout:{
    type: String
  },
  member_professional_status:{
    type: String
  },
  member_professional_details:{
    type: String
  },
  member_working_location:{
    type: String
  },
  member_visa_status:{
    type: String
  },
  member_father_name:{
    type: String
  },
  member_father_occupation:{
    type: String
  },
  member_father_occupation_details:{
    type: String
  },
  member_mother_name:{
    type: String
  },
  member_mother_occupation:{
    type: String
  },
  member_mother_occupation_details:{
    type: String
  },
  member_family_status:{
    type: String
  },
  member_family_income:{
    type: String
  },
  member_family_type:{
    type: String
  },
  member_family_values:{
    type: String
  },
  member_relatives_details:{
    type: String
  },
  member_gotra:{
    type: String
  },
  member_mama_gotra:{
    type: String
  },
  member_rashi:{
    type: String
  },
  member_tob:{
    type: String
  },
  member_place_of_birth:{
    type: String
  },
  member_manglik:{
    type: String
  },
  member_horoscope_match:{
    type: String
  },
  member_horoscope_file:{
    type: String
  },
  member_namaj_offered:{
    type: String
  },
  member_have_bread:{
    type: String
  },
  member_face_covering_girl:{
    type: String
  },
  member_jain_day_routine:{
    type: String
  },
  member_jain_religion_studies:{
    type: String
  },
  member_jatadhari_amritdhari_pagdi_sardar:{
    type: String
  },
  member_sahajdhari_sardar:{
    type: String
  },
  member_kripan_dhari:{
    type: String
  },
  member_image:{
    type: String
  },
  member_family_photo:{
    type: String
  },
  member_image_with_aadhar:{
    type: String
  },
  member_id_card_image:{
    type: String
  },
  member_password:{
    type: String
  },
  member_hash_password:{
    type: String
  },
  member_country_id:{
    type: String
  },
  member_state_id:{
    type: String
  },
  member_city_id:{
    type: String
  },
  member_city:{
    type: String
  },
  member_pincode:{
    type: String
  },
  member_address:{
    type: String
  },
  member_p_country_id:{
    type: String
  },
  member_p_state_id:{
    type: String
  },
  member_p_city_id:{
    type: String
  },
  member_p_pincode:{
    type: String
  },
  member_p_address:{
    type: String
  },
  member_order:{
    type: String
  },
  member_added_by:{
    type: String
  },
  member_updated_by:{
    type: String
  },
  meber_deleted_by:{
    type: String
  },
  member_is_deleted:{
    type: String
  },
  member_plan_id:{
    type: String
  },
  member_created_on:{
    type: String,
    default: Date.now()
  },
  member_updated_on:{
    type: String
  },
  member_mobile_verify:{
    type: String
  },
  member_is_verified:{
    type: String
  },
  member_photo_verified:{
    type: String
  },
  member_is_premium:{
    type: String
  },
  member_is_online:{
    type: String
  },
  member_step_completed:{
    type: String
  },
  member_franchise_access:{
    type: String
  },
  member_have_bpl:{
    type: String
  },
  member_is_paid:{
    type: String
  },
  member_is_trusted:{
    type: String
  },
  member_profile_visibility:{
    type: String
  },
  member_profile_access_by:{
    type: String
  },
  member_is_investigated:{
    type: String
  },
  member_about:{
    type: String
  },
  member_staff:{
    type: String
  },
  member_status:{
    type: String
  },
  member_last_login:{
    type: String
  },
  member_view_member_limit:{
    type: String
  },
  member_is_visible:{
    type: String
  },
  member_reports:{
    type: String
  },
  lastChanges:{
    type: JSON
  },
 },
  { collection: "sbw_current_members" }
);

const NewMember = (module.exports = mongoose.model(
  "sbw_current_members",
  memberSchema
));

//Create and update
module.exports.addNewMember = (newMember, callback) => {
  newMember.save(callback);
};
//Get all the new members

module.exports.getAllMembers = (sort,skip, callback) => {
  NewMember.find(callback)
    .skip(skip)
    .limit(50).sort(sort);
};
// Get member by _id
module.exports.getMember = (id,callback)=>{
  NewMember.findOne({_id: id}, callback);
}



module.exports.getAllMembersCount = callback => {
  NewMember.countDocuments(callback);
};
module.exports.searchNewMember = (skip, keyword, callback) => {
//   console.log(keyword);
  NewMember.aggregate(
    [
      
      {
        $match: {
          $or: [
           
            { member_id: { $all: keyword}},
            { member_profile_created_for: { $all: keyword} },
            { member_first_name: { $all: keyword} },
            { member_middle_name: { $all: keyword} },
            { member_last_name: { $all: keyword} },
            { member_name: { $all: keyword} },
            
          ]
        }
      },
      {
          $skip: skip
      },
      {
          $limit: 50
      }
   ],
    callback
  );
};
module.exports.searchNewMembers = (skip, keyword, callback) => {
//   console.log(keyword);
  query={
    $or: [
           
      { member_id: { $all:keyword } },
      { member_profile_created_for: { $all: keyword} },
      { member_first_name: { $all: keyword} },
      { member_middle_name: { $all: keyword} },
      { member_last_name: { $all: keyword} },
      { member_name: { $all: keyword} },
     
      { member_dob: { $all: keyword} },
      { member_weight: { $all: keyword} },
      { member_height: { $all: keyword} },
      { member_complextion: { $all: keyword} },
      { member_meritial_status: { $all: keyword} },
      { member_children_status: { $all: keyword} },
      { member_total_children: { $all: keyword} },
      { member_age_eldest_children: { $all: keyword} },
      { member_eating_habits: { $all: keyword} },
      { member_drinking_habits: { $all: keyword} },
      { member_smoking_habits: { $all: keyword} },
      { member_hobby: { $all: keyword} },
      { member_body_type: { $all: keyword} },
      { member_special_case: { $all: keyword} },
      { member_special_case_details: { $all: keyword} },
      { member_residencial_status: { $all: keyword} },
      { member_mother_tongue: { $all: keyword} },
      { member_own_house_status: { $all: keyword} },
      { member_annual_income: { $all: keyword} },
      { member_education_details: { $all: keyword} },
      { member_professional_status: { $all: keyword} },
      { member_professional_details: { $all: keyword} },
      { member_working_location: { $all: keyword} },
      { member_father_name: { $all: keyword} },
      { member_father_occupation: { $all: keyword} },
      { member_father_occupation_details: { $all: keyword} },
      { member_mother_name: { $all: keyword} },
      { member_mother_occupation: { $all: keyword} },
      { member_mother_occupation_details: { $all: keyword} },
      { member_relatives_details: { $all: keyword} },
      { member_tob: { $all: keyword} },
      { member_place_of_birth: { $all: keyword} },
      { member_manglik: { $all: keyword} },
      { member_horoscope_match: { $all: keyword} },
      { member_jain_day_routine: { $all: keyword} },
      { member_jain_religion_studies: { $all: keyword} },
      { member_jatadhari_amritdhari_pagdi_sardar: { $all: keyword} },
      { member_sahajdhari_sardar: { $all: keyword} },
      { member_kripan_dhari: { $all: keyword} },
      { member_image: { $all: keyword} },
      { member_password: { $all: keyword} },
      { member_hash_password: { $all: keyword} },
      { member_country: { $all: keyword} },
      { member_pincode: { $all: keyword} },
      { member_address: { $all: keyword} },
      { member_p_pincode: { $all: keyword} },
      { member_p_address: { $all: keyword} },
      { member_order: { $all: keyword} },
      { member_added_by: { $all: keyword} },
      { meber_deleted_by: { $all: keyword} },
      { member_is_deleted: { $all: keyword} },
      { member_plan_id: { $all: keyword} },
      { member_updated_on: { $all: keyword} },
      { member_mobile_verify: { $all: keyword} },
      { member_is_verified: { $all: keyword} },
      { member_photo_verified: { $all: keyword} },
      { member_is_premium: { $all: keyword} },
      { member_is_online: { $all: keyword} },
      { member_step_completed: { $all: keyword} },
      { member_franchise_access: { $all: keyword} },
      { member_have_bpl: { $all: keyword} },
      { member_is_paid: { $all: keyword} },
      { member_is_trusted: { $all: keyword} },
      { member_profile_visibility: { $all: keyword} },
      { member_profile_access_by: { $all: keyword} },
      { member_is_investigated: { $all: keyword} },
      { member_about: { $all: keyword} },
      { member_staff: { $all: keyword} },
      { member_status: { $all: keyword} },
      { member_last_login: { $all: keyword} },
      { member_view_member_limit: { $all: keyword} },
      { member_is_visible: { $all: keyword} },
      { member_reports: { $all: keyword} },
    ]
  }
  NewMember.find(query,callback).skip(skip).limit(50);
};
module.exports.searchNewMembersCount = (keyword,callback) => {
  query = {
    $or: [
           
      { member_id: { $all:keyword } },
      { member_profile_created_for: { $all: keyword} },
      { member_first_name: { $all: keyword} },
      { member_middle_name: { $all: keyword} },
      { member_last_name: { $all: keyword} },
      { member_name: { $all: keyword} },
     
      { member_dob: { $all: keyword} },
      { member_weight: { $all: keyword} },
      { member_height: { $all: keyword} },
      { member_complextion: { $all: keyword} },
      { member_meritial_status: { $all: keyword} },
      { member_children_status: { $all: keyword} },
      { member_total_children: { $all: keyword} },
      { member_age_eldest_children: { $all: keyword} },
      { member_eating_habits: { $all: keyword} },
      { member_drinking_habits: { $all: keyword} },
      { member_smoking_habits: { $all: keyword} },
      { member_hobby: { $all: keyword} },
      { member_body_type: { $all: keyword} },
      { member_special_case: { $all: keyword} },
      { member_special_case_details: { $all: keyword} },
      { member_residencial_status: { $all: keyword} },
      { member_mother_tongue: { $all: keyword} },
      { member_own_house_status: { $all: keyword} },
      { member_annual_income: { $all: keyword} },
      { member_education_details: { $all: keyword} },
      { member_professional_status: { $all: keyword} },
      { member_professional_details: { $all: keyword} },
      { member_working_location: { $all: keyword} },
      { member_father_name: { $all: keyword} },
      { member_father_occupation: { $all: keyword} },
      { member_father_occupation_details: { $all: keyword} },
      { member_mother_name: { $all: keyword} },
      { member_mother_occupation: { $all: keyword} },
      { member_mother_occupation_details: { $all: keyword} },
      { member_relatives_details: { $all: keyword} },
      { member_tob: { $all: keyword} },
      { member_place_of_birth: { $all: keyword} },
      { member_manglik: { $all: keyword} },
      { member_horoscope_match: { $all: keyword} },
      { member_jain_day_routine: { $all: keyword} },
      { member_jain_religion_studies: { $all: keyword} },
      { member_jatadhari_amritdhari_pagdi_sardar: { $all: keyword} },
      { member_sahajdhari_sardar: { $all: keyword} },
      { member_kripan_dhari: { $all: keyword} },
      { member_image: { $all: keyword} },
      { member_password: { $all: keyword} },
      { member_hash_password: { $all: keyword} },
      { member_country: { $all: keyword} },
      { member_pincode: { $all: keyword} },
      { member_address: { $all: keyword} },
      { member_p_pincode: { $all: keyword} },
      { member_p_address: { $all: keyword} },
      { member_order: { $all: keyword} },
      { member_added_by: { $all: keyword} },
      { meber_deleted_by: { $all: keyword} },
      { member_is_deleted: { $all: keyword} },
      { member_plan_id: { $all: keyword} },
      { member_updated_on: { $all: keyword} },
      { member_mobile_verify: { $all: keyword} },
      { member_is_verified: { $all: keyword} },
      { member_photo_verified: { $all: keyword} },
      { member_is_premium: { $all: keyword} },
      { member_is_online: { $all: keyword} },
      { member_step_completed: { $all: keyword} },
      { member_franchise_access: { $all: keyword} },
      { member_have_bpl: { $all: keyword} },
      { member_is_paid: { $all: keyword} },
      { member_is_trusted: { $all: keyword} },
      { member_profile_visibility: { $all: keyword} },
      { member_profile_access_by: { $all: keyword} },
      { member_is_investigated: { $all: keyword} },
      { member_about: { $all: keyword} },
      { member_staff: { $all: keyword} },
      { member_status: { $all: keyword} },
      { member_last_login: { $all: keyword} },
      { member_view_member_limit: { $all: keyword} },
      { member_is_visible: { $all: keyword} },
      { member_reports: { $all: keyword} },
    ]
  }
  NewMember.countDocuments(query, callback)
   
};
module.exports.getFilteredMembers = (skip,sort,filter,callback)=>{
  query = {};

  filter.genders.length
    ? (query.member_gender = { $in: filter.genders })
    : false;
  filter.religions.length
    ? (query.member_religion_name = { $in: filter.religions })
    : false;
  filter.castes.length
    ? (query.member_caste_name = { $in: filter.castes })
    : false;
  filter.educations.length
    ? (query.member_education_details = { $in: filter.educations })
    : false;
  filter.motherTongues.length
    ? (query.member_mother_tongue = { $in: filter.motherTongues })
    : false;
  filter.familyIncomes.length
    ? (query.member_family_income = { $in: filter.familyIncomes })
    : false;
  filter.states.length
    ? (query.member_state_id = { $in: filter.states })
    : false;
  filter.cities.length
    ? (query.member_city_id = { $in: filter.cities })
    : false;
  NewMember.find(query, callback).sort(sort).skip(skip).limit(50);
}

module.exports.getFilteredCounts = (filter,callback) =>{
  query = {};

  filter.genders.length
    ? (query.member_gender = { $in: filter.genders })
    : false;
  filter.religions.length
    ? (query.member_religion_name = { $in: filter.religions })
    : false;
  filter.castes.length
    ? (query.member_caste_name = { $in: filter.castes })
    : false;
  filter.educations.length
    ? (query.member_education_details = { $in: filter.educations })
    : false;
  filter.motherTongues.length
    ? (query.member_mother_tongue = { $in: filter.motherTongues })
    : false;
  filter.familyIncomes.length
    ? (query.member_family_income = { $in: filter.familyIncomes })
    : false;
  filter.states.length
    ? (query.member_state_id = { $in: filter.states })
    : false;
  filter.cities.length
    ? (query.member_city_id = { $in: filter.cities })
    : false;

    NewMember.countDocuments(query, callback);
}
//Get members with plan less than

module.exports.getLessPlanMembers = (callback)=>{
NewMember.find({$or:[{member_plan_id:"1499"},{member_plan_id:"999"},{member_plan_id:"5999"},{member_plan_id:{$exists: false}}]},callback)
}
module.exports.getLessPlanMemberIds = (callback)=>{
  NewMember.find(null,{member_id: true},{$or:[{member_plan_id:"1499"},{member_plan_id:"999"},{member_plan_id:"5999"},{member_plan_id:{$exists: false}}]},callback)
}
module.exports.getLessPlanMemberIdsCount = (callback)=>{
  NewMember.countDocuments({$or:[{member_plan_id:"1499"},{member_plan_id:"999"},{member_plan_id:"5999"},{member_plan_id:{$exists: false}}]},callback)
}


module.exports.searchByMemberId = (id, callback) =>{
  NewMember.findOne({member_id: id}, callback);
}
module.exports.deleteMember = (id,callback)=>{
  NewMember.findByIdAndDelete(id,callback);
}