const mongoose = require("mongoose");
const config = require("./../config/database");

const memberSchema = mongoose.Schema(
 {
  member_id:{
    type: String
  },
  member_citydummy:{
    type: String
  },
  member_occupationdummy:{
    type: String
  },
  member_lead_id:{
    type: String
  },
  member_profile_created_for:{
    type: String
  },
  member_first_name:{
    type: String
  },
  member_middle_name:{
    type: String
  },
  member_last_name:{
    type: String
  },
  member_name:{
    type: String
  },
  member_is_updated:{
    type: String
  },
  member_slug:{
    type: String
  },
  member_mobile:{
    type: String
  },
  member_email:{
    type: String
  },
  member_religion_name:{
    type: String
  },
  member_caste_name:{
    type: String
  },
  member_sub_caste_name:{
    type: String
  },
  member_gender:{
    type: String
  },
  member_dob:{
    type: String
  },
  member_weight:{
    type: String
  },
  member_height:{
    type: String
  },
  member_complextion:{
    type: String
  },
  member_meritial_status:{
    type: String
  },
  member_children_status:{
    type: String
  },
  member_total_children:{
    type: String
  },
  member_age_eldest_children:{
    type: String
  },
  member_eating_habits:{
    type: String
  },
  member_drinking_habits:{
    type: String
  },
  member_smoking_habits:{
    type: String
  },
  member_hobby:{
    type: String
  },
  member_body_type:{
    type: String
  },
  member_special_case:{
    type: String
  },
  member_special_case_details:{
    type: String
  },
  member_residencial_status:{
    type: String
  },
  member_mother_tongue:{
    type: String
  },
  member_own_house_status:{
    type: String
  },
  member_annual_income:{
    type: String
  },
  member_education_details:{
    type: String
  },
  member_collage_passout:{
    type: String
  },
  member_professional_status:{
    type: String
  },
  member_professional_details:{
    type: String
  },
  member_working_location:{
    type: String
  },
  member_visa_status:{
    type: String
  },
  member_father_name:{
    type: String
  },
  member_father_occupation:{
    type: String
  },
  member_father_occupation_details:{
    type: String
  },
  member_mother_name:{
    type: String
  },
  member_mother_occupation:{
    type: String
  },
  member_mother_occupation_details:{
    type: String
  },
  member_family_status:{
    type: String
  },
  member_family_income:{
    type: String
  },
  member_family_type:{
    type: String
  },
  member_family_values:{
    type: String
  },
  member_relatives_details:{
    type: String
  },
  member_gotra:{
    type: String
  },
  member_mama_gotra:{
    type: String
  },
  member_rashi:{
    type: String
  },
  member_tob:{
    type: String
  },
  member_place_of_birth:{
    type: String
  },
  member_manglik:{
    type: String
  },
  member_horoscope_match:{
    type: String
  },
  member_horoscope_file:{
    type: String
  },
  member_namaj_offered:{
    type: String
  },
  member_have_bread:{
    type: String
  },
  member_face_covering_girl:{
    type: String
  },
  member_jain_day_routine:{
    type: String
  },
  member_jain_religion_studies:{
    type: String
  },
  member_jatadhari_amritdhari_pagdi_sardar:{
    type: String
  },
  member_sahajdhari_sardar:{
    type: String
  },
  member_kripan_dhari:{
    type: String
  },
  member_image:{
    type: String
  },
  member_family_photo:{
    type: String
  },
  member_image_with_aadhar:{
    type: String
  },
  member_id_card_image:{
    type: String
  },
  member_password:{
    type: String
  },
  member_country_id:{
    type: String
  },
  member_state_id:{
    type: String
  },
  member_city_id:{
    type: String
  },
  member_city:{
    type: String
  },
  member_pincode:{
    type: String
  },
  member_address:{
    type: String
  },
  member_p_country_id:{
    type: String
  },
  member_p_state_id:{
    type: String
  },
  member_p_city_id:{
    type: String
  },
  member_p_pincode:{
    type: String
  },
  member_p_address:{
    type: String
  },
  member_order:{
    type: String
  },
  member_added_by:{
    type: String
  },
  member_updated_by:{
    type: String
  },
  meber_deleted_by:{
    type: String
  },
  member_is_deleted:{
    type: String
  },
  member_plan_id:{
    type: String
  },
  member_created_on:{
    type: String,
    default: Date.now()
  },
  member_updated_on:{
    type: String
  },
  member_mobile_verify:{
    type: String
  },
  member_is_verified:{
    type: String
  },
  member_photo_verified:{
    type: String
  },
  member_is_premium:{
    type: String
  },
  member_is_online:{
    type: String
  },
  member_step_completed:{
    type: String
  },
  member_franchise_access:{
    type: String
  },
  member_have_bpl:{
    type: String
  },
  member_is_paid:{
    type: String
  },
  member_is_trusted:{
    type: String
  },
  member_profile_visibility:{
    type: String
  },
  member_profile_access_by:{
    type: String
  },
  member_is_investigated:{
    type: String
  },
  member_about:{
    type: String
  },
  member_staff:{
    type: String
  },
  member_status:{
    type: String
  },
  member_last_login:{
    type: String
  },
  member_view_member_limit:{
    type: String
  },
  member_is_visible:{
    type: String
  },
  member_reports:{
    type: String
  },
  lastChanges:{
    type: JSON
  },
 },
  { collection: "shaadiSammelan_members" }
);

const NewMember = (module.exports = mongoose.model(
  "shaadiSammelan_members",
  memberSchema
));

//Create and update
module.exports.addNewMember = (newMember, callback) => {
  NewMember.create(newMember, callback);
};
//Get all the new members
