const express = require('express');
const router = express.Router();
const passport = require('passport');
const adController = require('./../controllers/adController');

router.post('/create'
    // ,passport.authenticate('jwt', { session: false })
    , adController.add);

router.get('/get/:id',
    // passport.authenticate('jwt', { session: false }),
    adController.get);


router.get('/getAll',
    // passport.authenticate('jwt', { session: false }),
    adController.getAll);

router.put('/update',
    // passport.authenticate('jwt', { session: false }),
    adController.update);

router.delete('/delete/:_id',
    //  passport.authenticate('jwt', { session: false }),
    adController.delete);

module.exports = router;