const express = require('express');
const router = express.Router();
const config = require('../config/database');
const Counter = require('../models/counter');

// Register
router.post('/register', (req, res, next) => {
    let newCounter = new Counter({
        _id: req.body.id,
        sequence_value: 0
    });

    Counter.insertMany([newCounter], (err, docs) => {
        if (err) {
            res.json({ success: false, msg: "Failed to Insert Base Count", err: err });
        } else {
            res.json({ success: true, msg: "Added Base sequence successfully", insertedCount: docs });
        }
    });
});

// get all News
// router.get('/NewsList', (req, res, next) => {
//     News.getNews((err, news) => {
//         if (err) {
//             res.status(500).json({ success: false, msg: 'Failed to get News' });
//         } else {
//             if (!news) {
//                 res.json({ success: false, msg: 'News not found' });
//             } else {
//                 res.json({ success: true, news: news });
//             }
//         }
//     });
// });

module.exports = router;