const express = require('express');
const router = express.Router();
const memberController = require('./../controllers/ssmemberController');

router.post('/create',memberController.add);
router.get('/get/:id',memberController.get);
router.get('/getWithProj/:id',memberController.getWithProj);
router.get('/getAllWithProj',memberController.getAllWithProj);

router.get('/getByMemberId/:id',memberController.getByMemberId);
router.get('/getAllMemberIds',memberController.getAllMemberIds);

router.get('/getAllMembersToTransfer/:page', memberController.getMemberstoTransfer);
router.get('/getAll/:pageNumber/:sort',memberController.getAll);
router.get('/getAllPasswords',memberController.getAllPasswords);
router.post('/getFilteredMembers/:pageNumber/:sort', memberController.getFilteredMembers);
router.put('/update',memberController.update);
router.delete('/delete',memberController.delete);
router.get('/getAllFilters', memberController.getAllFilters);
router.get('/search/:pageNumber/:keyword',memberController.search)
module.exports = router;
